Skip to main content
POST
/
ontology
/
curate-links
curl --request POST \
  --url https://api.datalinks.com/api/v1/ontology/curate-links \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "namespace": "my_namespace",
  "dataset": "my_dataset"
}
'
{
  "datasetsProcessed": 5,
  "totalSelected": 45,
  "curatedLinks": [
    {
      "destination": "ri.user.examples.actor.name",
      "hits": 6,
      "matchType": "ExactMatch",
      "origin": "ri.user.examples.movies.director"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a Bearer token for authentication. Submit the token using the Authorization header: Authorization: Bearer <token>.

Body

application/json

Request to curate ontology links for a dataset or namespace using the OntologyCurator agent.

namespace
string
required

The namespace containing the dataset(s) to curate.

Example:

"my_namespace"

dataset
string

Optional. If specified, curates links only for this dataset. If omitted, curates all datasets in the namespace.

Example:

"my_dataset"

model
string

Optional. The LLM model to use for curation (e.g., "gpt-4", "claude-3-5-sonnet-20241022").

Example:

"gpt-4"

provider
string

Optional. The LLM provider to use (e.g., "openai", "anthropic").

Example:

"openai"

activate
boolean
default:false

Optional. If true, the curated links will be activated (added to the ontology). If false, only returns the curated links without activating them.

Response

Links curated successfully

Response containing curation statistics and optionally the curated links when activate is false.

datasetsProcessed
integer
required

Number of datasets that were processed.

Example:

5

totalSelected
integer
required

Total number of links selected by the curator agent.

Example:

45

The curated links. Only included in the response when activate is false.